/* google fonts */

@import url('https://fonts.googleapis.com/css2?family=Raleway:ital,wght@0,100..900;1,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');


* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}


/* Varialbes */
:root {
    --primary-color: #1e1916;
    --secondary-color: #B51717;
    --black-color: #000000;
    --white-color: #ffffff;
    /* --color-tertiary: #F63837; */
    --body-color: #EDF3F7;
    --grey-bg: #ECF2FB;
    --primary-font: "Raleway", sans-serif;
    --secondary-font: "Inter", sans-serif;
}

body {
    font-family: "Oswald", sans-serif;
    font-family: "Raleway", sans-serif;
    overflow-x: hidden !important;
    -webkit-font-smoothing: antialiased;
    font-optical-sizing: auto;
    background-color: var(--white-color);
}

a {
    color: inherit !important;
    text-decoration: none !important;
    font-family: inherit !important;
}

h1 {
    font-size: 35px;
}

h2 {
    font-size: 30px;
}

h3 {
    font-size: 25px;
}

h4 {
    font-size: 20px;
}

h5 {
    font-size: 18px;
}

h6 {
    font-size: 16px;
}

.primary-heading {
    font-family: var(--primary-font);
    color: var(--primary-color);
    font-size: 35px;
    text-transform: uppercase;
    font-weight: 700;
}

.secondary-heading {
    font-family: var(--primary-font);
    color: var(--primary-color);
    font-size: 20px;
    font-weight: 600;
}

.sub-heading {
    font-family: var(--primary-font);
    color: var(--secondary-color) !important;
    /* color: #CBA266 !important; */
    font-size: 16px !important;
    /* line-height: 0px; */
    font-weight: 500;
    font-style: normal;
    text-transform: uppercase;
    /* letter-spacing: 0.6px; */
    /* opacity: 1; */
}

.sub-heading1 {
    font-family: var(--primary-font);
    color: var(--color-primary);
    font-size: 18px !important;
    /* line-height: 21px; */
    font-weight: 400;
    font-style: normal;
    text-transform: uppercase;
    /* letter-spacing: 0.6px; */
    opacity: 1;
}

.para {
    font-family: var(--secondary-font);
    color: var(--black-color);
    font-size: 16px;
    font-style: normal;
    text-align: justify;
}

/* .regular-text {
    font-family: var(--secondary-font);
    color: var(--dark-color);
    font-size: 16px;
} */

.grey-bg {
    background-color: var(--grey-bg);
}

/* button style */

.fill-btn {
    position: relative;
    display: inline-block;
    padding: 10px 24px;
    color: var(--secondary-color);
    border: 3px solid var(--secondary-color);
    border-radius: 25px;
    font-size: 15px;
    text-transform: uppercase;
    font-weight: 600;
    text-decoration: none;
    overflow: hidden;
    transition: color 0.3s ease;
    z-index: 1;
}

.fill-btn::before {
    content: "";
    position: absolute;
    top: 0;
    left: -100%;
    width: 100%;
    height: 100%;
    background: var(--secondary-color);
    color: var(--white-color) !important;
    transition: left 0.3s ease;
    z-index: -1;
}

.fill-btn:hover::before {
    left: 0;
}

.fill-btn:hover {
    color: var(--white-color) !important;
}

html {
    scroll-padding-top: 120px;
}

section {
    /* scroll-margin-top: 120px; */
}

/* default code ends here */


/* navbar */

.bg-light {
    background: var(--white-color);
}

.navbar-brand img {
    width: 340px;
    transition: all 0.3s ease;
}

.nav-link {
    font-size: 15px !important;
    font-family: var(--secondary-font) !important;
    text-transform: uppercase;
    font-weight: 600 !important;
    text-decoration: none;
    /* letter-spacing: 1px !important; */
    color: var(--dark-color);
}

.nav-item .active {
    font-weight: 700 !important;
    color: var(--secondary-color) !important;
    /* text-decoration: underline !important; */
}

@media (min-width: 992px) {
    .navbar .dropdown:hover>.dropdown-menu {
        display: block;
        margin-top: 0;
    }
}

.dropdown-menu {
    background-color: var(--grey-bg) !important;
}

.dropdown-item:hover {
    color: var(--white-color) !important;
    background-color: var(--secondary-color) !important;
}

/* .dropdown li .border-bottom{
    border: 1px dotted var(--black-color) !important;
} */

.dropdown-menu li>a {
    padding: 10px 20px !important;
}

.header-wrapper {
    position: relative;
    width: 100%;
    z-index: 1050;
    background: #ffffff00;
    transition: all 0.3s ease;
}

/* FIXED HEADER */
.header-fixed {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    animation: slideDown 0.35s ease;
    background-color: var(--white-color);
    box-shadow: 0 4px 12px rgba(0, 0, 0, .12);
}

/* LOGO */
.logo-img {
    width: 320px;
    transition: all 0.3s ease;
}

/* .header-fixed .logo-img {
    width: 220px;
} */

@media (max-width: 991px) {
    .navbar-collapse {
        position: absolute;
        top: 100%;
        left: 0;
        width: 100%;
        background: #fff;
        z-index: 1040;
        box-shadow: 0 6px 15px rgba(0, 0, 0, 0.15);
    }

}

/* banner */

.carousel-caption {
    bottom: 20% !important;
}

.carousel-caption {
    position: absolute !important;
    right: 45% !important;
    bottom: 7.5rem !important;
    left: 10% !important;
    padding-top: 1.25rem;
    padding-bottom: 1.25rem;
    color: #fff;
    /* text-align: center; */
}

.carousel-control-prev-icon,
.carousel-control-next-icon {
    background-size: 20px 20px;
    transition: all 0.3s ease;
}

.banner-text h2 {
    font-family: var(--primary-font);
    font-size: 50px !important;
    font-weight: 700 !important;
    letter-spacing: 2px;
}

.banner-text p {
    font-size: 16px;
    /* font-weight: 500 !important; */
}

.banner-overlay {
    position: relative;
}

.banner-overlay::before {
    content: "";
    position: absolute;
    inset: 0;
    /* background: rgba(0, 0, 0, 0.40); */
    background: linear-gradient(90deg, #00000095, #00000000);
    /* overlay darkness */
    z-index: 1;
}

.banner-overlay img {
    position: relative;
    z-index: 0;
}

.carousel-caption {
    z-index: 2;
}

/* general-box */

.general-box-section {
    position: relative;
}

.general-box-section .container {
    overflow: hidden;
    /* position: absolute; */
    z-index: 1;
    top: -50px;
    left: 0;
    right: 0;
}

.service-icon-img {
    border: 2px solid var(--secondary-color);
    border-radius: 50%;
    height: 100%;
    width: 160px;
    padding: 10px;
}

.service-icon-img img {
    height: 100%;
    width: 80px;
}

.general-box h3 {
    font-size: 24px !important;
    font-weight: 600;
}

.consultation-box {
    background: var(--secondary-color);
}

.consultation-box .service-icon-img {
    border: 2px solid var(--white-color);
    border-radius: 50%;
    height: 100%;
    width: 130px;
    padding: 10px;
}

.consultation-box .service-icon-img img {
    height: 100%;
    width: 80px;
}

/* about */

.industrial-frame-container {
    position: relative;
    width: 100%;
    max-width: 800px;
    /* Adjust as needed */
    aspect-ratio: 16 / 10;
    margin: 50px auto;
    display: flex;
    align-items: center;
    justify-content: center;
}

/* Base style for all decorative shapes */
.shape-red,
.shape-blue,
.image-wrapper {
    position: absolute;
    width: 90%;
    height: 90%;
    /* This creates the parallelogram skew effect */
    /* clip-path: polygon(15% 0%, 100% 0%, 85% 100%, 0% 100%); */
    /* clip-path: polygon(0% 0%, 80% 0%, 90% 100%, 17% 100%); */
}

.image-wrapper {
    position: absolute;
    width: 90%;
    height: 90%;
    /* This creates the parallelogram skew effect */
    clip-path: polygon(15% 0%, 100% 0%, 85% 100%, 0% 100%);
    /* clip-path: polygon(0% 0%, 80% 0%, 90% 100%, 17% 100%); */
}

.shape-red {
    background-color: var(--secondary-color);
    /* Deep Red */
    transform: translate(-5px, 30px);
    /* Offset to the left/bottom */
    z-index: 1;
    clip-path: polygon(85% 0%, 0% 0%, 15% 100%, 100% 100%);
}

.shape-blue {
    background: linear-gradient(161deg, #e3f2fd 0%, #000000 100%);
    /* Soft Blue Gradient */
    transform: translate(15px, -10px);
    /* Offset to the right/top */
    z-index: 2;
}

.image-wrapper {
    z-index: 3;
    overflow: hidden;
}

.image-wrapper img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    /* We slighty scale the image up to ensure it covers the clipped area */
    /* transform: scale(1.1); */
}

.industrial-frame-container {
    position: relative;
}

.experience-badge {
    position: absolute;
    top: 120px;
    right: 0px;
    width: 160px;
    height: 160px;
    background: #ffffff;
    border-radius: 50%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    box-shadow: 0px 0px 8px 0px #00000075;
    z-index: 5;
}

/* counter */

.counter-section {
    position: relative;
    width: 100%;
    overflow: hidden;
}

.counter-section::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: url('../img/Global-Map.webp');
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    opacity: 0.1;
    z-index: 1;

}

.counter {
    display: inline-block;
    font-family: var(--primary-font);
    color: var(--secondary-color);
    font-size: 55px;
    font-weight: 700;
}

/* container service */

.container-service img {
    width: 80px;
    height: auto;
    filter: invert(17%) sepia(49%) saturate(5120%) hue-rotate(352deg) brightness(87%) contrast(94%);
}

/* service container */

.container-service-section .card {
    border-bottom: 5px solid #d4d4d4;
}

.service-card:hover {
    border-bottom: 5px solid var(--secondary-color);
}

/* powder coating */

.product-img {
    position: relative;
    overflow: hidden;
    /* border-radius: 8px; */
}

/* Image */
.product-img img {
    width: 100%;
    display: block;
}

/* Dark overlay (default) */
.product-img::after {
    content: "";
    position: absolute;
    inset: 0;
    /* background: rgba(0, 0, 0, 0.4); */
    transition: background 0.3s ease;
}

/* Darker overlay on hover */
.product-img:hover::after {
    background: rgba(0, 0, 0, 0.65);
}

/* Static bottom text */
.product-name {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    padding: 12px 15px;
    background: rgb(0 0 0 / 77%);
    color: #fff;
    font-size: 18px;
    font-weight: 600;
    z-index: 2;
    text-align: center;
}

.service-carousel .owl-dots {
    display: none;
}

.owl-carousel .owl-nav button.owl-prev {
    border: 2px solid #c83131;
    border-radius: 2px;
    padding: 10px 20px !important;
}

.owl-carousel .owl-nav button.owl-next {
    border: 2px solid #c83131;
    border-radius: 2px;
    padding: 10px 20px !important;
}

.owl-theme .owl-nav [class*=owl-]:hover {
    background: #dc3545;
    color: #FFF;
    text-decoration: none;
}

/* powder coating */

.card-img-top {
    height: 220px;
    object-fit: cover;
}

.service-title {
    margin-top: -40px;
}

.service-carousel .card {
    background-color: var(--grey-bg);
}

.service-title-icon {
    background: #ecf2fb;
    height: 55px;
    width: 55px;
}

/* why choose */

.why-choose-box {
    background-color: var(--secondary-color);
}

.icon-circle i {
    font-size: 30px;
}

/* footer section */

.footer-section {
    background-color: #03051b;
}

.footer-list li {
    margin-bottom: 10px;
    font-size: 16px;
    color: var(--white-color);
    /* font-family: var(--primary-font); */
}

.footer-list li a:hover {
    color: var(--secondary-color) !important;
}

.footer-title {
    color: var(--secondary-color);
    margin-bottom: 20px;
}

/* about us page */

.about-banner {
    background-image: url('../img/banner-03.webp');
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    height: 30vh;
    /* Adjust the height as needed */
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
}

.overlay h1 {
    /* font-family: var(--primary-font); */
    /* padding-top: 130px !important; */
}

.about-banner .overlay {
    background-color: rgba(0, 0, 0, 60%);
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    color: white;
    padding: 0 20px;
}

.expert-solution-section .card i {
    color: var(--secondary-color);
    background: linear-gradient(28deg, #ffcece, #fbfbfb) !important;
    border-radius: 50%;
    height: 75px;
    width: 75px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.expert-solution-section .card {
    display: flex;
    align-items: center;
    justify-content: center;
}


/* container page */

.container-page-banner {
    background-image: url('../img/banner-03.webp');
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    height: 30vh;
    /* Adjust the height as needed */
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
}

.overlay h1 {
    /* font-family: var(--primary-font); */
    /* padding-top: 130px !important; */
}

.container-page-banner .overlay {
    background-color: rgba(0, 0, 0, 60%);
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    color: white;
    padding: 0 20px;
}

.expertise-section .card {
    transition: all 0.1s ease;
}

.expertise-section .card i {
    color: var(--secondary-color);
    transition: 0.1s;
}

.expertise-section .card:hover {
    transform: translateY(-10px) !important;
    background-color: var(--secondary-color) !important;
}

/* Change icon color */
.expertise-section .card:hover i {
    color: var(--white-color);
}

/* Change heading color */
.expertise-section .card:hover h4 {
    color: var(--white-color) !important;
}

/* Change paragraph color */
.expertise-section .card:hover p {
    color: var(--white-color) !important;
}


/* powder coating page */

.service-label {
    font-size: 14px;
    letter-spacing: 2px;
    text-transform: uppercase;
    color: #dc3545;
}

.feature-stack {
    background: #fff;
    padding: 35px;
    border-radius: 10px;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.06);
}

.feature-item {
    display: flex;
    align-items: center;
    gap: 15px;
    padding: 12px 0;
    border-bottom: 1px solid #eee;
    font-weight: 500;
}

.feature-item i {
    color: #dc3545;
    font-size: 20px;
}

.service-block {
    border-left: 4px solid var(--secondary-color);
}

.service-block i {
    color: var(--secondary-color);
}

/* contact page */
.contact-box1 {
    background-color: var(--black-color);

    background-size: cover;
    transition: .5s;
    /* background-color: var(--secondary); */
    margin-bottom: 15px;
}


.contact-icon {
    margin-top: -59px;
    width: 70px;
    height: 70px;
    color: var(--white-color);
    background: var(--secondary-color);
    transform: rotate(-45deg);
    display: flex;
    justify-content: center;
    align-items: center;
}

.contact-icon i {
    transform: rotate(45deg);
    transition: .5s;
    color: var(--light);
    display: flex;
    align-items: center;
    justify-content: center;
}











/* Default hidden state */
.animate-on-scroll {
    opacity: 0;
    transition: all 0.5s ease-out;
}

/* When active, show and animate */
.animate-on-scroll.active {
    opacity: 1 !important;
}

/* Slide Right Animation */
.slide-right.active {
    animation: slideRight 0.5s ease-out forwards;
}

@keyframes slideRight {
    from {
        transform: translateX(-100px);
    }

    to {
        transform: translateX(0);
    }
}

/* Slide Left Animation */
.slide-left.active {
    animation: slideLeft 0.5s ease-out forwards;
}

@keyframes slideLeft {
    from {
        transform: translateX(100px);
    }

    to {
        transform: translateX(0);
    }
}

/* Slide up Animation */
.slide-up.active {
    animation: slideup 0.5s ease-out forwards;
}

@keyframes slideup {
    from {
        transform: translateY(100px);
    }

    to {
        transform: translateX(0);
    }
}

/* Slide up Animation */
.slide-down.active {
    animation: slidedown 1s ease-out forwards;
}

@keyframes slidedown {
    from {
        transform: translateY(-100px);
    }

    to {
        transform: translateX(0);
    }
}




/* scroll-up button */

#scrollUpBtn {
    position: fixed;
    bottom: 40px;
    right: 30px;
    height: 35px;
    width: 35px;
    padding: 10px;
    border-radius: 3px;
    border: none;
    z-index: 999;
    background-color: var(--secondary-color);
    display: flex;
    align-items: center;
    justify-self: center;

}

/* scrollup-btn */

#scrollUpBtn i {
    color: var(--white-color);
    display: flex;
    align-items: center;
    justify-self: center;
}

/* scrollup-btn ends here */


@media only screen and (max-width: 768px) {

    .primary-heading {
        font-size: 25px;
        text-align: center;
    }

    .sub-heading {
        text-align: center;
    }

    .navbar-brand img {
        width: 220px;
        transition: all 0.3s ease;
    }

    .carousel-item img {
        height: 300px !important;
        width: max-content !important;
        background-position: 50% 50%;
        /* object-fit: cover !important; */
    }

    .carousel-caption {
        position: absolute !important;
        right: 8% !important;
        bottom: 0px !important;
        left: 10% !important;
        padding-top: 0.25rem !important;
    }

    .banner-text h2 {
        /* font-family: var(--primary-font); */
        font-size: 22px !important;
        font-weight: 600 !important;
        letter-spacing: 1px;
    }

    .banner-text p {
        font-size: 14px I !important;
        text-align: start;
    }

    .image-overlay img {
        width: auto;
        height: 100%;
        display: block;
        object-fit: cover;
    }

    .service-highlight {
        padding: 20px 10px;
    }

    .service-highlight .container {

        overflow: hidden !important;
        position: static !important;

    }

    .service-icon-img {
        border: 2px solid var(--secondary-color);
        border-radius: 50%;
        height: 100%;
        width: 60px;
        padding: 5px;
    }

    .general-box h3 {
        font-size: 20px !important;
        font-weight: 600;
    }

    .general-box-section {
        padding: 30px 10px;
    }

    .consultation-box .service-icon-img {
        border: 2px solid var(--white-color);
        border-radius: 50%;
        height: 100%;
        width: 60px;
        padding: 10px;
    }

    .owl-theme .owl-nav {
        /* margin-top: -20px; */
    }

    .contact-box1 {
        /* margin-top: 35px !important; */
    }

    .mt5{
        margin-top: 60px !important;
    }

}

@media (min-width: 768px) and (max-width: 991.98px) {
    .dropdown-menu {
        position: static;
        float: none;
        width: 100%;
    }

    .carousel-caption {
        position: absolute !important;
        right: 25% !important;
        bottom: 35px !important;
        left: 10% !important;
        padding-top: 0.25rem !important;
    }

    .banner-text h2 {
        /* font-family: var(--primary-font); */
        font-size: 30px !important;
        font-weight: 600 !important;
        letter-spacing: 1px;
    }

    .banner-text p {
        font-size: 14px I !important;
        text-align: start;
    }

    .service-icon-img {
        border: 2px solid var(--secondary-color);
        border-radius: 50%;
        height: 100%;
        width: 60px;
        padding: 10px;
    }

    .consultation-box .service-icon-img {
        border: 2px solid var(--white-color);
        border-radius: 50%;
        height: 100%;
        width: 60px;
        padding: 10px;
    }




}

@media (min-width: 992px) and (max-width: 1199.98px) {

    .carousel-caption {
        position: absolute !important;
        right: 25% !important;
        bottom: 35px !important;
        left: 10% !important;
        padding-top: 0.25rem !important;
    }

    .banner-text h2 {
        /* font-family: var(--primary-font); */
        font-size: 35px !important;
        font-weight: 600 !important;
        letter-spacing: 1px;
    }

    .banner-text p {
        font-size: 14px I !important;
        text-align: start;
    }

}